Bug 169169 - Review Request: JACAL: an interactive symbolic mathematics program
Review Request: JACAL: an interactive symbolic mathematics program
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roozbeh Pournader
Fedora Package Reviews List
http://swissnet.ai.mit.edu/~jaffer/JA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 17:39 EDT by John Mahowald
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 23:43:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mahowald 2005-09-23 17:39:08 EDT
Spec Name or Url: http://frontiernet.net/~jpmahowald/fedora/review/jacal.spec
SRPM Name or Url: http://frontiernet.net/~jpmahowald/fedora/review/jacal-1b5-2.src.rpm
Description: JACAL is an interactive symbolic mathematics program. JACAL can
manipulate and simplify equations, scalars, vectors, and matrices of
single and multiple valued algebraic expressions containing numbers,
variables, radicals, and algebraic differential, and holonomic
functions.


Written in Scheme.

Original fedora.us package: https://bugzilla.fedora.us/show_bug.cgi?id=862
Comment 1 Roozbeh Pournader 2006-01-15 11:05:57 EST
MUST items that pass:
- rpmlint runs fine on output without errors or warnings
- package name according to guidelines
- spec file name OK
- meets PackagingGuidelines
- license open-source
- License field matches license
- license text in upstream and included
- spec file in American English
- spec file legible
- source matches upstream
- package builds on FC4-i386
- no BuildRequires
- no locales
- no shared libraries
- not relocatable
- no duplicate files
- file permissions OK
- %clean section OK
- contains code
- no large documentation
- docs don't affect the running application
- no -devel required
- not a GUI application

SHOULD items that pass:
- license included in upstream
- package builds in mock for FC4-i386
- arch-independent, so it probably builds on all arches
- package installs and the jacal binary runs
- no subpackages

Suggestions and problems:
- the package should own %{_datadir}/jacal
- Summary field should better use words beginning with lowercase letters
- Source field should better use %{version}
- Use $RPM_BUILD_ROOT instead of ${RPM_BUILD_ROOT}
- Use "install -d" instead of "mkdir -p"
- Use "cp -p" for copying files
- Create 'guile.scm', 'go.scm', and the jacal binary using SourceN
- ratint.tex (in docs) is probably unnecessary, as it is a source of ratint.pdf,
which is also included. we shouldn't need to pack sources in RPMs

Questions:
During rpmbuild, I get an error in the %install process:

   Makefile:33: srcdir.mk: No such file or directory

What is this?
Comment 2 Roozbeh Pournader 2006-01-16 06:15:55 EST
One more comment. You should guard the %post and %preun scriptlets with "|| :".
See bug 166958 and the respective change at
http://cvs.fedora.redhat.com/viewcvs/devel/texinfo/texinfo.spec?r1=1.30&r2=1.31
Comment 3 John Mahowald 2006-07-25 23:43:55 EDT
I have lost interest in maintaining this. Anyone who wants to base their spec
off this feel free.

Note You need to log in before you can comment on or make changes to this bug.